DesktopPane

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openswing.swing.mdi.client
Class DesktopPane

    java.lang.Object
      java.awt.Component
          java.awt.Container
              javax.swing.JComponent
                  javax.swing.JLayeredPane
                      javax.swing.JDesktopPane
                          org.openswing.swing.mdi.client.DesktopPane

All Implemented Interfaces:
  javax.accessibility.Accessible, java.util.EventListener, java.awt.image.ImageObserver, javax.swing.event.InternalFrameListener, java.awt.MenuContainer, java.io.Serializable

public class DesktopPane
extends javax.swing.JDesktopPane
implements javax.swing.event.InternalFrameListener

Title: OpenSwing Framework

Description: Desktop panel used to contain internal frames.

Copyright: Copyright (C) 2006 Mauro Carniel

This file is part of OpenSwing Framework. This library is free software; you can redistribute it and/or modify it under the terms of the (LGPL) Lesser General Public License as published by the Free Software Foundation; GNU LESSER GENERAL PUBLIC LICENSE Version 2.1, February 1999 This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Library General Public License for more details. You should have received a copy of the GNU Library General Public License along with this library; if not, write to the Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA. The author may be contacted at: maurocarniel@tin.it

See Also:
  Serialized Form

Nested Class Summary

Nested classes inherited from class javax.swing.JComponent
`javax.swing.JComponent.AccessibleJComponent`

Field Summary

Fields inherited from class javax.swing.JDesktopPane
`LIVE_DRAG_MODE, OUTLINE_DRAG_MODE`

Fields inherited from class javax.swing.JLayeredPane
`DEFAULT_LAYER, DRAG_LAYER, FRAME_CONTENT_LAYER, LAYER_PROPERTY, MODAL_LAYER, PALETTE_LAYER, POPUP_LAYER`

Fields inherited from class javax.swing.JComponent
`TOOL_TIP_TEXT_KEY, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`DesktopPane()`

Method Summary
`void` | `add(InternalFrame frame, boolean maximum)` Add an internal frame to the desktop.
`void` | `init(MDIController client)`
`void` | `internalFrameActivated(javax.swing.event.InternalFrameEvent e)`
`void` | `internalFrameClosed(javax.swing.event.InternalFrameEvent e)`
`void` | `internalFrameClosing(javax.swing.event.InternalFrameEvent e)`
`void` | `internalFrameDeactivated(javax.swing.event.InternalFrameEvent e)`
`void` | `internalFrameDeiconified(javax.swing.event.InternalFrameEvent e)`
`void` | `internalFrameIconified(javax.swing.event.InternalFrameEvent e)`
`void` | `internalFrameOpened(javax.swing.event.InternalFrameEvent e)`
`boolean` | `isModal()`
`void` | `paintComponent(java.awt.Graphics g)` Paint background image.
`void` | `setLayer(java.awt.Component c, int layer, int position)` Sets the layer attribute for the specified component and also sets its position within that layer.
`void` | `setModal(boolean modal)`
`void` | `setModal(javax.swing.JInternalFrame modalDialog, boolean modal)` Set modal state to the specified internal frame.

Methods inherited from class javax.swing.JDesktopPane
`getAccessibleContext, getAllFrames, getAllFramesInLayer, getDesktopManager, getDragMode, getSelectedFrame, getUI, getUIClassID, isOpaque, setDesktopManager, setDragMode, setSelectedFrame, setUI, updateUI`

Methods inherited from class javax.swing.JLayeredPane
`getComponentCountInLayer, getComponentsInLayer, getIndexOf, getLayer, getLayer, getLayeredPaneAbove, getPosition, highestLayer, isOptimizedDrawingEnabled, lowestLayer, moveToBack, moveToFront, paint, putLayer, remove, setLayer, setPosition`

Methods inherited from class javax.swing.JComponent
`addAncestorListener, addNotify, addPropertyChangeListener, addPropertyChangeListener, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBorder, getBounds, getClientProperty, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getGraphics, getHeight, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPreferredSize, getPropertyChangeListeners, getPropertyChangeListeners, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, isDoubleBuffered, isLightweightComponent, isManagingFocus, isMaximumSizeSet, isMinimumSizeSet, isPaintingTile, isPreferredSizeSet, isRequestFocusEnabled, isValidateRoot, paintImmediately, paintImmediately, print, printAll, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removePropertyChangeListener, removePropertyChangeListener, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setEnabled, setFont, setForeground, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, remove, removeAll, removeContainerListener, setFocusCycleRoot, setFocusTraversalKeys, setFocusTraversalPolicy, setLayout, transferFocusBackward, transferFocusDownCycle, validate`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, contains, createImage, createImage, createVolatileImage, createVolatileImage, dispatchEvent, enable, enableInputMethods, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMouseWheelListeners, getName, getParent, getPeer, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DesktopPane

    public DesktopPane()

Method Detail

### setModal

    public final void setModal(boolean modal)

  Parameters:
    `modal` - boolean

### setModal

    public final void setModal(javax.swing.JInternalFrame modalDialog,
                               boolean modal)

  Set modal state to the specified internal frame.

  Parameters:
    `modalDialog` - internal frame whose modal state must be changed
    `modal` - modal state

### isModal

    public final boolean isModal()

  Returns:
    `true` if there exists a modal internal frame or `false` otherwise

### init

    public void init(MDIController client)

### paintComponent

    public final void paintComponent(java.awt.Graphics g)

  Paint background image.

### add

    public final void add(InternalFrame frame,
                          boolean maximum)

  Add an internal frame to the desktop. Add an internal frame listener.

  Parameters:
    `frame` - internal frame to add
    `maximum` - flag used to set that the internal frame will be maximized

### setLayer

    public final void setLayer(java.awt.Component c,
                               int layer,
                               int position)

  Sets the layer attribute for the specified component and also sets its position within that layer.

  Parameters:
    `c` - the Component to set the layer for
    `layer` - an int specifying the layer to set, where lower numbers are closer to the bottom
    `position` - an int specifying the position within the layer, where 0 is the topmost position and -1 is the bottommost position

### internalFrameActivated

    public final void internalFrameActivated(javax.swing.event.InternalFrameEvent e)

  Specified by:
    `internalFrameActivated` in interface `javax.swing.event.InternalFrameListener`

### internalFrameClosed

    public final void internalFrameClosed(javax.swing.event.InternalFrameEvent e)

  Specified by:
    `internalFrameClosed` in interface `javax.swing.event.InternalFrameListener`

### internalFrameClosing

    public final void internalFrameClosing(javax.swing.event.InternalFrameEvent e)

  Specified by:
    `internalFrameClosing` in interface `javax.swing.event.InternalFrameListener`

### internalFrameDeactivated

    public final void internalFrameDeactivated(javax.swing.event.InternalFrameEvent e)

  Specified by:
    `internalFrameDeactivated` in interface `javax.swing.event.InternalFrameListener`

### internalFrameDeiconified

    public final void internalFrameDeiconified(javax.swing.event.InternalFrameEvent e)

  Specified by:
    `internalFrameDeiconified` in interface `javax.swing.event.InternalFrameListener`

### internalFrameIconified

    public final void internalFrameIconified(javax.swing.event.InternalFrameEvent e)

  Specified by:
    `internalFrameIconified` in interface `javax.swing.event.InternalFrameListener`

### internalFrameOpened

    public final void internalFrameOpened(javax.swing.event.InternalFrameEvent e)

  Specified by:
    `internalFrameOpened` in interface `javax.swing.event.InternalFrameListener`

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD